LaTeX forum ⇒ Viewers for PDF, PS, and DVIFedora 10 / KDE4 and kdvi - The solution :)

Information and discussion about output viewers related to LaTeX (e.g. Adobe Reader, Ghostview, YAP, ...)
janjan
Posts: 1
Joined: Tue Mar 03, 2009 3:09 pm

Fedora 10 / KDE4 and kdvi - The solution :)

Postby janjan » Tue Mar 03, 2009 3:19 pm

After upgrading to Fedora 10 I found out that kdvi was gone. Due to the upgrade to KDE 4 it was replaced by okular whose inverse search doesn't work as well as the one of kdvi. I you search for something like "fedora 10 kdvi" on goolge you will find a lot of people having exactly the same problem.

After looking around some more I found that someone from the Ubuntu community solved the problem by providing a special kdvi package which only includes kdvi and some libraries.

You can find the binaries there:
https://launchpad.net/ubuntu/intrepid/+ ... 0-0ubuntu1
(look at the far right side)

Since the .deb format is not readily supported under Fedora (at least I think so) I had to extract and install the contents by hand.

Long story short:
After installing this package and adding some dependencies (I don't remember exactly which ones) I am able to use the forward/inverse search of kdvi in combination with kile :)

tdbtdb
Posts: 1
Joined: Wed Mar 11, 2009 11:20 pm

Postby tdbtdb » Wed Mar 11, 2009 11:21 pm

Better solution (use xdvi) at viewtopic.php?f=20&t=237.

Still not sure how to use okular instead of kghostview and kpdf.


On fedora 9 & 10 version of kile, default setup is to use kghostview and kpdf. These two apps have been absorbed into a new app named okular (I think). I don't know how to tell kile to use okular instead. Any hints?

I managed to find a way to tell kile to use xdvi instead of kdvi (viewtopic.php?f=20&t=237). kile's system check still barfs. I think this bug has been reported (I originally was looking back in January). Hope an update arrives soon. Installing dvipng and dvipdfm made some of the other warnings go away.

User avatar
localghost
Site Moderator
Posts: 9206
Joined: Fri Feb 02, 2007 12:06 pm

Postby localghost » Thu Mar 12, 2009 12:02 am

Kile hasn't yet been adapted to KDE4. It still sticks to KDE3 and its applications to view documents (KDVI, KGhostview and KPDF). If your package manager lets you install parts of the older KDE3, add the following packages.
  1. kdegraphics3
  2. kdegraphics3-pdf
  3. kdegraphics3-postscript
  4. kdegraphics3-tex

Missing dependencies should be resolved by the package manager. More information about the upcoming version 2.1 of Kile for KDE4 can be found on the project hosting web site [1]. A release date isn't set yet.

[1] SourceForge.net - KileForKDE4


Best regards and welcome to the board
Thorsten¹
LaTeX Community Moderator
How to make a "Minimal Example"
Board Rules
Avoidable Mistakes


¹ System: openSUSE 42.2 (Linux 4.4.52), TeX Live 2016 (vanilla), TeXworks 0.6.1


Return to “Viewers for PDF, PS, and DVI”

Who is online

Users browsing this forum: No registered users and 1 guest